Package ru.bitel.bgbilling.modules.mps.common.bean

# Class Transaction

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.common.bean.BGAbstractTransaction
ru.bitel.bgbilling.modules.mps.common.bean.Transaction

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class Transaction extends BGAbstractTransaction

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Transaction.Builder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Transaction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Transaction.Builder`
  `builder()`
  `String`
  `getContractComment()`
  `Date`
  `getLocalTime()`
  `String`
  `getMpsId()`
  `String`
  `getNumber()`
  `String`
  `getPaymentComment()`
  `Date`
  `getPaymentDate()`
  `String`
  `getRawNumber()`
  `String`
  `getSysPaymentData()`
  `Date`
  `getSysPaymentDate()`
  `int`
  `getSysPaymentId()`
  `Date`
  `getTime()`
  `String`
  `getTransId()`
  `int`
  `getType()`
  `Transaction`
  `setContractComment(String contractComment)`
  `void`
  `setLocalTime(Date localTime)`
  `void`
  `setMpsId(String mpsId)`
  `void`
  `setNumber(String number)`
  `void`
  `setPaymentComment(String paymentComment)`
  `void`
  `setPaymentDate(Date paymentDate)`
  `void`
  `setRawNumber(String rawNumber)`
  `void`
  `setSysPaymentData(String sysPaymentData)`
  `void`
  `setSysPaymentDate(Date sysPaymentDate)`
  `void`
  `setSysPaymentId(int sysPaymentId)`
  `void`
  `setTime(Date time)`
  `void`
  `setTransId(long transId)`
  `void`
  `setTransId(String transId)`
  `void`
  `setType(int type)`
  `String`
  `toString()`
  `String`
  `toStringReg()`

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGAbstractTransaction

  `getCardholderName, getContractId, getContractTitle, getCreateDate, getPan, getParameter, getParameters, getPaymentId, getStatus, getSum, getTransactionDate, getTransactionId, getTransactionType, isAutopayment, setAutopayment, setContractId, setContractTitle, setCreateDate, setParameters, setPaymentId, setStatus, setSum, setTransactionDate, setTransactionId, setTransactionType`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Transaction

    public Transaction()

- ## Method Details

  - ### getMpsId

    public String getMpsId()

  - ### setMpsId

    public void setMpsId(String mpsId)

  - ### getContractComment

    public String getContractComment()
    Overrides:
      `getContractComment` in class `BGAbstractTransaction`

  - ### setContractComment

    public Transaction setContractComment(String contractComment)
    Overrides:
      `setContractComment` in class `BGAbstractTransaction`

  - ### getType

    public int getType()

  - ### setType

    public void setType(int type)

  - ### getTime

    public Date getTime()

  - ### setTime

    public void setTime(Date time)

  - ### setTransId

    public void setTransId(long transId)

  - ### setTransId

    public void setTransId(String transId)

  - ### getTransId

    public String getTransId()

  - ### getLocalTime

    public Date getLocalTime()

  - ### setLocalTime

    public void setLocalTime(Date localTime)

  - ### getNumber

    public String getNumber()

  - ### setNumber

    public void setNumber(String number)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `BGAbstractTransaction`

  - ### toStringReg

    public String toStringReg()

  - ### getRawNumber

    public String getRawNumber()

  - ### setRawNumber

    public void setRawNumber(String rawNumber)

  - ### getSysPaymentDate

    public Date getSysPaymentDate()
    Returns:
      the sysPaymentDate

  - ### setSysPaymentDate

    public void setSysPaymentDate(Date sysPaymentDate)
    Parameters:
      `sysPaymentDate` - the sysPaymentDate to set

  - ### getSysPaymentId

    public int getSysPaymentId()

  - ### setSysPaymentId

    public void setSysPaymentId(int sysPaymentId)

  - ### getPaymentDate

    public Date getPaymentDate()

  - ### setPaymentDate

    public void setPaymentDate(Date paymentDate)

  - ### getSysPaymentData

    public String getSysPaymentData()

  - ### setSysPaymentData

    public void setSysPaymentData(String sysPaymentData)

  - ### getPaymentComment

    public String getPaymentComment()

  - ### setPaymentComment

    public void setPaymentComment(String paymentComment)

  - ### builder

    public static Transaction.Builder builder()